# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.avro.JsonSchemaFormatterFactory
Modifier and Type
Constant Field
Value
`public static final String`
`VARIANT_NAME_INLINE`
`"inline"`
`public static final String`
`VARIANT_NAME_PRETTY`
`"pretty"`
org.apache.avro.LogicalType
Modifier and Type
Constant Field
Value
`public static final String`
`LOGICAL_TYPE_PROP`
`"logicalType"`
org.apache.avro.Protocol
Modifier and Type
Constant Field
Value
`public static final long`
`VERSION`
`1L`
org.apache.avro.SchemaCompatibility
Modifier and Type
Constant Field
Value
`public static final String`
`READER_WRITER_COMPATIBLE_MESSAGE`
`"Reader schema can always successfully decode data written using the writer schema."`
org.apache.avro.SystemLimitException
Modifier and Type
Constant Field
Value
`public static final String`
`MAX_BYTES_LENGTH_PROPERTY`
`"org.apache.avro.limits.bytes.maxLength"`
`public static final String`
`MAX_COLLECTION_ALLOCATION_PROPERTY`
`"org.apache.avro.limits.collectionItems.maxAllocation"`
`public static final String`
`MAX_COLLECTION_LENGTH_PROPERTY`
`"org.apache.avro.limits.collectionItems.maxLength"`
`public static final String`
`MAX_DECOMPRESS_LENGTH_PROPERTY`
`"org.apache.avro.limits.decompress.maxLength"`
`public static final String`
`MAX_STRING_LENGTH_PROPERTY`
`"org.apache.avro.limits.string.maxLength"`

org.apache.avro.file.BZip2Codec
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`65536`
org.apache.avro.file.CodecFactory
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_DEFLATE_LEVEL`
`-1`
`public static final int`
`DEFAULT_XZ_LEVEL`
`6`
`public static final boolean`
`DEFAULT_ZSTANDARD_BUFFERPOOL`
`false`
`public static final int`
`DEFAULT_ZSTANDARD_LEVEL`
`3`
org.apache.avro.file.DataFileConstants
Modifier and Type
Constant Field
Value
`public static final String`
`BZIP2_CODEC`
`"bzip2"`
`public static final String`
`CODEC`
`"avro.codec"`
`public static final int`
`DEFAULT_SYNC_INTERVAL`
`64000`
`public static final String`
`DEFLATE_CODEC`
`"deflate"`
`public static final String`
`NULL_CODEC`
`"null"`
`public static final String`
`SCHEMA`
`"avro.schema"`
`public static final String`
`SNAPPY_CODEC`
`"snappy"`
`public static final int`
`SYNC_SIZE`
`16`
`public static final byte`
`VERSION`
`0x1`
`public static final String`
`XZ_CODEC`
`"xz"`
`public static final String`
`ZSTANDARD_CODEC`
`"zstandard"`
org.apache.avro.file.XZCodec
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_COMPRESSION`
`6`
org.apache.avro.file.ZstandardCodec
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_COMPRESSION`
`3`
`public static final boolean`
`DEFAULT_USE_BUFFERPOOL`
`false`

org.apache.avro.generic.GenericData
Modifier and Type
Constant Field
Value
`public static final String`
`FAST_READER_PROP`
`"org.apache.avro.fastread"`
`public static final String`
`STRING_PROP`
`"avro.java.string"`
`protected static final String`
`STRING_TYPE_STRING`
`"String"`

org.apache.avro.reflect.AvroAlias
Modifier and Type
Constant Field
Value
`public static final String`
`NULL`
`"NOT A VALID NAMESPACE"`

org.apache.avro.specific.SpecificData
Modifier and Type
Constant Field
Value
`public static final String`
`CLASS_PROP`
`"java-class"`
`public static final String`
`ELEMENT_PROP`
`"java-element-class"`
`public static final String`
`KEY_CLASS_PROP`
`"java-key-class"`
`public static final char`
`RESERVED_WORD_ESCAPE_CHAR`
`'$'`

org.apache.avro.util.ByteBufferOutputStream
Modifier and Type
Constant Field
Value
`public static final int`
`BUFFER_SIZE`
`8192`
org.apache.avro.util.RandomData
Modifier and Type
Constant Field
Value
`public static final String`
`USE_DEFAULT`
`"use-default"`